#
# spec file for package xdg-menu
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdg-menu
Version:        0.2
Release:        219.3
Summary:        XDG Menus for WindowMaker and other Window Managers
License:        GPL-2.0-or-later
Group:          System/GUI/Other
Source0:        %{name}.tar.bz2
Patch0:         %{name}-xfce4.patch
Patch1:         %{name}-box.patch
Patch2:         %{name}-twm.patch
Patch3:         %{name}-xfce4-icon.patch
Patch4:         %{name}-gnome-path.patch
Patch5:         %{name}-icewm.patch
Patch6:         %{name}-pekwm.patch
Patch7:         %{name}-translation-bnc463972.patch
Patch8:         %{name}-accept-defaultlayout-bnc529057.patch
# PATCH-FIX-OPENSUSE xdg-menu-su.patch asterios.dramis@gmail.com -- Use "su" instead of "sux" to run commands with root privileges in xdg_menu_su (sux is deprecated)
Patch9:         xdg-menu-su.patch
Requires:       desktop-data
Requires:       perl-XML-Parser
%if 0%{?suse_version} > 1320
Requires:       xterm-bin
%else
Requires:       xterm
%endif
Requires:       perl(Locale::gettext)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a Perl script which converts XDG menus to formats
used by WindowMaker and other window managers.

%prep
%setup -q -n xdg-menu
%patch -P 0
%patch -P 1 -p1
%patch -P 2
%patch -P 3
%patch -P 4
%patch -P 5
%patch -P 6
%patch -P 7
%patch -P 8
%patch -P 9

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 * %{buildroot}%{_bindir}

%files
%defattr(-,root,root,-)
%{_bindir}/xdg_menu
%{_bindir}/xdg_menu_su

%changelog
* Wed Feb 21 2024 Michael Vetter <mvetter@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Dec 17 2014 dimstar@opensuse.org
- On openSUSE > 13.2, xterm has been split into xterm-bin for the
  program and xterm for the app launcher. We only need the program,
  so conditionally require xterm-bin.
* Wed Feb 27 2013 asterios.dramis@gmail.com
- Added a patch (xdg-menu-su.patch) to use "su" instead of "sux" to run
  commands with root privileges in xdg_menu_su (sux is deprecated).
- Made the package noarch.
* Mon Aug 31 2009 nadvornik@suse.cz
- accept DefaultLayout node [bnc#529057]
* Thu Jul  9 2009 coolo@novell.com
- fix requires for Locale::gettext
* Wed Jun 24 2009 nadvornik@novell.com
- handle desktop files translated with gettext [bnc#463972]
* Tue Dec 16 2008 mhrusecky@suse.cz
- added support for pekwm
* Fri Jun  1 2007 nadvornik@suse.cz
- do not output top-level menu in icewm format [#273232]
* Tue Feb  6 2007 nadvornik@suse.cz
- added Requires: xterm [#242136]
* Mon Jan 22 2007 nadvornik@suse.cz
- adjusted gnome path [#237126]
* Fri Mar 24 2006 pnemec@suse.cz
- added icon in xfce4 menu
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 nadvornik@suse.cz
- added twm support
* Tue Nov 30 2004 hvogel@suse.de
- merge *box patches to a single patch
- readd openbox3-pipe output
* Thu Nov 18 2004 hvogel@suse.de
- correct help output to include xfce4
- merge *box options into one condition
- make the default output for *box a submenu again and
  add a --fullmenu option
- fix xfce4 output to not include '&' in menu/app names
* Tue Nov  9 2004 hvogel@suse.de
- added openbox3 support by Marcus Rueckert
- alias fluxbox, openbox to blackbox output
* Mon Sep 13 2004 nadvornik@suse.cz
- added xfce4 support
* Tue Mar 16 2004 nadvornik@suse.cz
- do not display KDE-specific entries [#36152]
- requires desktop-data
* Fri Mar 12 2004 nadvornik@suse.cz
- fixed paths for kde desktop entries
- remove duplicate entries which came from different desktop files
* Mon Feb  2 2004 nadvornik@suse.cz
- added caching of output
- fixed dependencies [#33294]
- increased version to 0.2
* Wed Sep 17 2003 nadvornik@suse.cz
- run su wrapper for entries with X-KDE-SubstituteUID [#30523]
* Mon Sep 15 2003 nadvornik@suse.cz
- handle desktop files with '&' in file name
- better debugging output
* Fri Sep 12 2003 nadvornik@suse.cz
- fixed fvwm2 output [#30523]
- fixed bug in parsing desktop files
* Mon Sep  8 2003 nadvornik@suse.cz
- added blackbox support from mfabian@suse.de
- correctly interpret language in the form LANG_COUNTRY.ENCODING@MODIFIER
* Fri Sep  5 2003 nadvornik@suse.cz
- more bugs fixed
* Tue Sep  2 2003 nadvornik@suse.cz
- added fvwm2 support
* Fri Aug 29 2003 nadvornik@suse.cz
- some fixes
* Wed Aug 27 2003 nadvornik@suse.cz
- finished support for WindowMaker
* Mon Aug 25 2003 nadvornik@suse.cz
- new package, needs some more work
